VnSerialPort Struct Reference

Provides access to a serial port. More...

`#include <serialport.h>`

## Data Fields

bool | purgeFirstDataBytesWhenSerialPortIsFirstOpened
VnSerialPort_DataReceivedHandler | dataReceivedHandler
void * | dataReceivedHandlerUserData
VnThread | serialPortNotificationsThread
bool | continueHandlingSerialPortEvents
size_t | numberOfReceiveDataDroppedSections
VnCriticalSection | dataReceivedHandlerCriticalSection
char | portName [50]

## Detailed Description

Provides access to a serial port.

The documentation for this struct was generated from the following file:

- serialport.h